AMP Plugin 1.0-RC3

AMP Plugin Release v1.0-RC3

Authored by

With this version of the plugin, Twenty Nineteen is fully AMP-compatible:

twentyninenteen with AMP

To test this, please upload this pre-release file to a staging site.

We would appreciate your feedback. Please report any bug you find by opening an issue.

Changes In This Release

  • Add AMP support for Twenty Nineteen. (1587, 1619)
  • Gutenberg: Remove ‘type’ from attributes where ‘source’ is set. (1622)
  • Gutenberg: Fix displaying validation warning and usage of PHP function. (1612)
  • Short-circuit polldaddy shortcode when no poll or survey supplied. (1621)
  • Add warning when AMP plugin is installed in incorrect directory. (1593)
  • Update regex for tag selectors. ( 1534 )
  • Do not show fallback source as active theme if no validation errors. ( 1592 )
  • Add bing-amp.com to the list of AMP Cache hosts. (1447)
  • Do not show fallback source as active theme if no validation errors. (1592)
  • Update AMP spec to 757 (v1811091519050). ( 1588 )
  • Prevent a notice from appearing in the Compatibility Tool meta box. (1605)

Here are the merged pull requests since the 1.0-RC1 release, and here are all of the pull requests in version 1.0.

1.0 Releases

Not Yet Ready For Production

Please only test this in a non-production environment. With your feedback and testing, we plan to have a stable release ready for you soon.

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.